import { UiComponent } from "./UiComponent";
import { TeamAppsUiContext } from "./TeamAppsUiContext";
import { UiFlexContainerCommandHandler, UiFlexContainerConfig } from "../generated/UiFlexContainerConfig";
export declare class UiFlexContainer extends UiComponent<UiFlexContainerConfig> implements UiFlexContainerCommandHandler {
    private $main;
    private components;
    constructor(config: UiFlexContainerConfig, context: TeamAppsUiContext);
    private convertToCssValueString;
    protected onAttachedToDom(): void;
    onResize(): void;
    getMainDomElement(): JQuery;
    addComponent(component: UiComponent): void;
    removeComponent(component: UiComponent): void;
}
